<?php                   
/**
 * Define the widgets dashboard
 *
 * @package WordPress
 * @subpackage YIW Themes
 * @since 1.0
 */     
       
/**
 * Add the widgets on dashboard
 * 
 * @since 1.0  
 */            
function yiw_dashboard_widget_setup() {
    wp_add_dashboard_widget( 'yiw_dashboard_news', __( 'Our latest themes' , 'yiw' ), 'yiw_dashboard_forum_news' );
    wp_add_dashboard_widget( 'yiw_news', __( 'News from the YIT Blog' , 'yiw' ), 'yiw_dashboard_news' );
	// Globalize the metaboxes array, this holds all the widgets for wp-admin

	global $wp_meta_boxes;
	
	$widgets_on_side = array(
        'yiw_dashboard_news',
        'yiw_news'
    );
	
    foreach( $widgets_on_side as $meta ) {
        $temp = $wp_meta_boxes['dashboard']['normal']['core'][$meta];
        unset($wp_meta_boxes['dashboard']['normal']['core'][$meta]);
        $wp_meta_boxes['dashboard']['side']['core'][$meta] = $temp;
    }
}     
       
/**
 * The widget for forum news
 * 
 * @since 1.0  
 */  
function yiw_dashboard_forum_news() {
	$args = array( 'show_author' => 1, 'show_date' => 1, 'show_summary' => 0, 'items'=>10 );
	wp_widget_rss_output( YIW_RSS_FORUM_URL, $args );
}         
       
/**
 * The widget for blog news
 * 
 * @since 1.0  
 */  
function yiw_dashboard_news() {
	$args = array( 'show_author' => 1, 'show_date' => 1, 'show_summary' => 1, 'items'=>3 );
	wp_widget_rss_output( YIW_RSS_URL, $args );
}


/**
 * Print banner in dashboard pagina
 */
function yiw_dashboard_print_banner() {

    global $pagenow;

    if( $pagenow != 'index.php' || get_transient('yit_dashboard_message_dismiss') == 'yes' ) return;

    echo "<div style='position:relative; background: transparent; border: none; padding: 0;' class='yit-dashboard-message updated'>
               <div style='display: inline-block; position: relative;'>
                <a href='" . YIW_DASHBOARD_LINK . "?url' target='_blank'><img style='max-width:100%' src='" . YIW_DASHBOARD_LINK . "' alt='' /></a>
                <a href='". admin_url('?yit_dashboard_message_dismiss') ."' class='dismiss' style='position: absolute; right: 14px; top: 40px; background: url(\"". get_template_directory_uri() ."/images/dismiss.png\") no-repeat; width: 82px; height: 23px;'></a>
               </div>
              </div>";
}

/**
 * Dismiss message
 */
function yiw_dashboard_dismiss_message() {
    if( isset( $_GET['yit_dashboard_message_dismiss'] ) ) {
        set_transient('yit_dashboard_message_dismiss', 'yes', 4 * WEEK_IN_SECONDS);
        wp_redirect( admin_url() );
        exit();
    }
}