<?php
/**
 * The Header for our theme.
 *
 * @package WordPress
 * @subpackage YIW Themes
 * @since 1.0
 */             
?><!DOCTYPE html>
<!--[if IE 6]>
<html id="ie6" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 7]>
<html id="ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html id="ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 6) | !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no"/>
<title><?php
    /*
     * Print the <title> tag based on what is being viewed.
     */
    global $page, $paged;

    wp_title( '|', true, 'right' );
    
    $website_name = get_bloginfo('name');
    $website_title = str_replace( array( '[', ']'), '', $website_name );
    
    echo $website_title;
    
    // Add description, if is home
    if ( is_home() || is_front_page() )
        echo ' | ' . get_bloginfo( 'description' );

    // Add a page number if necessary:
    if ( $paged >= 2 || $page >= 2 )
        echo ' | ' . sprintf( __( 'Page %s', 'yiw' ), max( $paged, $page ) );

    ?></title>          

    <link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri()."/css/reset.css"; ?>" />
    <link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    
    <?php if ( yiw_get_option( 'responsive', 1 ) ) : ?>
	<link rel="stylesheet" type="text/css" media="screen and (max-width: 960px)" href="<?php echo get_template_directory_uri(); ?>/css/lessthen960.css" />
	<link rel="stylesheet" type="text/css" media="screen and (max-width: 600px)" href="<?php echo get_template_directory_uri(); ?>/css/lessthen600.css" />
	<link rel="stylesheet" type="text/css" media="screen and (max-width: 480px)" href="<?php echo get_template_directory_uri(); ?>/css/lessthen480.css" />
    <?php endif; ?>                     
    
    <link rel="alternate" type="application/rss+xml" title="<?php printf(__('%s RSS Feed', 'yiw'), get_bloginfo('name')); ?>" href="<?php bloginfo('rss2_url'); ?>" />
    <link rel="alternate" type="application/atom+xml" title="<?php printf(__('%s Atom Feed', 'yiw'), get_bloginfo('name')); ?>" href="<?php bloginfo('atom_url'); ?>" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    
    <?php
    wp_enqueue_style( 'prettyPhoto',             get_template_directory_uri()."/css/prettyPhoto.css" );
    
    // standard fonts                                                 
    wp_enqueue_style('droid-sans-font',         "http://fonts.googleapis.com/css?family=Droid+Sans&#038;subset=latin%2Ccyrillic%2Cgreek");
    wp_enqueue_style('yanone-kaffeesatz-font',  "http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz&#038;subset=latin%2Ccyrillic%2Cgreek"); 
    wp_enqueue_style('shadows-into-light-font', "http://fonts.googleapis.com/css?family=Shadows+Into+Light&#038;subset=latin%2Ccyrillic%2Cgreek"); 
                    
    wp_enqueue_script('jquery-cycle' );                                                    
    wp_enqueue_script('jquery-easing' );                                             
    wp_enqueue_script('jquery-prettyPhoto' ); 
    wp_enqueue_script('tweetable', get_template_directory_uri()."/core/includes/js/twitter-text.js", array('jquery'));
    
    wp_enqueue_script('jquery-custom',      get_template_directory_uri()."/js/jquery.custom.js", array('jquery', 'jquery-ui-tabs'));        
    
    wp_enqueue_script('tweetable' );       
    wp_head();
    ?>           
    
    <style type="text/css">
        #top-space {
            background-color: #030303;
        }
        
        #header {
            background-color: #1A1A1A;
            border-top: 1px solid #313131;
            border-bottom: 1px solid #0d0d0d;    
        }
        
        #slider, #slideshow {                          
            background-color: #212020;
            border-top: 1px solid #373636;
        }
        
        #nav > ul > li {
            border-left: 1px solid #313131;
            border-right: 1px solid #0d0d0d;
        }
        
        h1 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        h2 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        h3 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        h4 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        h5 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        h6 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        #slogan h2 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        .sidebar .widget h2, .sidebar .widget h3, #footer .widget h2, #footer .widget h3 { font-family: 'Yanone Kaffeesatz', sans-serif; }
        .testimonial .testimonial-name .name { font-family: 'Shadows Into Light', cursive; }
        .special-font { font-family: 'Shadows Into Light', cursive !important; }
        #header .inner #logo h1 a.logo-text { font-family: 'Arial Black', sans-serif; }
        #header .inner #logo p { font-family: Arial, Helvetica, sans-serif; }
        #nav ul li a { font-family: Arial, Helvetica, sans-serif; }
        .hentry-post .meta span { font-family: 'Lucida Sans Unicode', 'Lucida Grande', sans-serif; }
    </style>                                                                                          

    <!-- [favicon] begin -->
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo yiw_favicon(); ?>" />
    <link rel="icon" type="image/x-icon" href="<?php echo yiw_favicon(); ?>" />           
    
    <?php echo yiw_get_option('google_analitics_code') ?>
</head>                    
        
<body <?php body_class('no_js') ?>>

    <div class="header-space">
    
        <div id="top-space"></div>
    
        <!-- START HEADER -->
        <div id="header">
            
            <div class="inner">
            
                <!-- START LOGO -->
                <div id="logo" class="group">
                    <?php if( yiw_get_option( 'use_logo' ) ): ?>
                        <a href="<?php echo home_url() ?>" title="<?php bloginfo('name') ?>"> 
                            <?php $logo = yiw_get_option( 'logo' ) ? yiw_get_option( 'logo' ) : get_template_directory_uri() . '/images/logo.png'; ?>
                            <img src="<?php echo $logo  ?>" alt="Logo <?php bloginfo('name') ?>" <?php if(yiw_get_option('logo_width')): ?>width="<?php echo yiw_get_option('logo_width') ?>"<?php endif ?> <?php if(yiw_get_option('logo_height')): ?>height="<?php echo yiw_get_option('logo_height') ?>"<?php endif ?> />
                        </a>
                    <?php else: ?>
                        <h1>
                            <?php
                            $website_text = str_replace( array( '[', ']'), array( '<span>', '</span>'), $website_name );
                            
                            echo '<a class="logo-text" href="', home_url(), '" title="', $website_title, '">', $website_text, '</a>';
                            ?>
                        </h1>
                    <?php endif ?>
                    <?php if ( yiw_get_option('logo_use_description') ) : ?><p><?php bloginfo('description') ?></p><?php endif ?>
                </div>
                <!-- END LOGO --> 
            
                <!-- START NAV -->
                <div id="nav" class="menu">
                    <?php 
                    $options = array(
                        'theme_location' => 'nav',
                        'container' => 'none',
                        'menu_class' => 'level-1 black',
                        'depth' => 3,
                        //'walker' => new description_walker()
                    );
                    
                    wp_nav_menu($options);
                    ?>
                </div>
                <!-- END NAV -->
                
                <div class="clear"></div>
                
            </div>
                
        </div>
        <!-- END HEADER -->
        
        <?php get_template_part('slider'); ?>
        
    </div>