<?php
/**
 * All hooks for the theme.
 *
 * @package WordPress
 * @subpackage YIW Themes
 * @since 1.0
 */          


//
//add_filter( 'yiw_slide_title', 'yiw_slide_convert_title' );
function yiw_slide_convert_title( $args = false ) {
    if( is_array($args) ) {
        $color = $args[1] != '' ? 'style="color:' . $args[1]. '"' : '';
        return str_replace('[', "<span {$color}>", str_replace(']', '</span>', str_replace('|', '<br />', $args[0])));
    } elseif( is_string($args) ) {
        return str_replace('[', '<span>', str_replace(']', '</span>', str_replace('|', '<br />', $args)));
    }
}

add_action( 'yiw_panel_type_user_links', 'yiw_user_links' );
function yiw_user_links( $value ) {
    global $fade_color_dep;
    
    if ( isset( $value['id'] ) )
        $id_container = 'id="' . $value['id'] . '-option" ';
    
    ?>      
        <div <?php echo $id_container ?>class="rm_option rm_input rm_select<?php echo $class_dep ?>">
                                    
            <?php foreach ($value['options'] as $val => $option) { ?>
                <label style="height: 25px; line-height: 25px;" for="<?php yiw_option_id( $value['id'] . '_' . $val ); ?>"><?php echo ucfirst( $val ) ?></label>
                <input type="text" value="<?php $social = maybe_unserialize( yiw_get_option( $value['id'] ) ); echo $social[$val]; ?>" name="<?php yiw_option_name( $value['id'] ); ?>[<?php echo $val ?>]" id="<?php yiw_option_id( $value['id'] . '_' . $val ); ?>" <?php if( isset( $value['button'] ) ) : ?>style="width:240px;" <?php endif ?> />
                <small style="height: 25px; line-height: 25px;"><?php printf( __( 'URL of your %s account', 'yiw' ), ucfirst( $val ) ) ?></small>
                <div class="clearfix"></div>
            <?php } ?>                          
            
    		<?php if( isset( $value['button'] ) ) : ?>
    		<input type="submit" value="<?php echo $value['button']; ?>" class="button" name="<?php yiw_option_id( $value['id'] ); ?>_save" id="<?php yiw_option_id( $value['id'] ); ?>_save">
    		<?php endif ?>          
            
    		<?php if( isset( $value['action'] ) ) : ?>
    		<input type="hidden" name="secondary-action" value="<?php echo $value['action']; ?>" />
    		<?php endif ?>
        	<?php echo $fade_color_dep ?>
        </div>  
         
    <?php
}

// add icons in the user profile
function yiw_user_socials( $user_contactmethods ) {
    global $yiw_user_link;
    
    foreach ( $yiw_user_link as $social => $letter ) {
        if ( in_array( $social, array( 'google', 'yahoo' ) ) ) continue;
        $user_contactmethods[$social] = ucfirst( $social );  
    }
    
    return $user_contactmethods;
}
add_filter( 'user_contactmethods', 'yiw_user_socials' );
?>